Subject: Re: termcap issues...
From: [email-masked] (Chris Faylor)

6 Aug 1997 22:14:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
Jerome Gay <[email-masked]> wrote:
>I'm using b18 with latest coolview (01-Aug) under NT4SP3...
>I got some strange problems with termcap...
>I've exported TERM=linux
>If  I export also TERMCAP=/etc/termcap (containing the linux entry), less
>(3.32) behave strangely, it starts paging from the top of the sreen,
>overwriting previous information...
>Maybe that's because I use bash inside an NT Command Prompt with scroll-bar
>(I set a buffer size of 1000 lines in the shortcut properties).

I notice the same thing.  Actually, I think it is a bug in less's handling
of scrolling regions.  It is definitely triggered by the scrollbar.

>BUT, if I set TERMCAP=/etc/termcap/linux, less behaves _normally_, but with
>a 'Warning: terminal not fully functional'

You're pointing the TERMCAP environment variable to a non-existent file.
That probably forces less to redraw the screen rather than attempt to scroll.
That will work but it will be slow.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".